gnutls_x509_crt_get_signature_algorithm(3)

NAME
gnutls_x509_crt_get_signature_algorithm - API function

SYNOPSIS
#include <gnutls/x509.h>

int gnutls_x509_crt_get_signature_algorithm(gnutls_x509_crt_t cert);

ARGUMENTS

gnutls_x509_crt_t cert
    should contain a gnutls_x509_crt_t type

DESCRIPTION
This function will return a value of the gnutls_sign_algorithm_t enumeration that is the signature algorithm that has been used to sign this certificate. Since 3.6.0 this function never returns a negative error code. Error cases and unknown/unsupported signature algorithms are mapped to GNUTLS_SIGN_UNKNOWN.

RETURNS
a gnutls_sign_algorithm_t value

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: http://www.gnutls.org

COPYRIGHT
Copyright © 2001-2018 Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

http://www.gnutls.org/manual/